# $Revision: 1.54 $, $Date: 2002/11/22 08:12:06 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de):	Client fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Client pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Name:		tftp
Version:	0.17
Release:	20
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
Source1:	%{name}d.inetd
Patch0:		%{name}-configure.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	tftp-hpa

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -l pl
Tftp (trivial file transfer protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikacj
tftp klienta.

%description -l tr
lkel dosya aktarm protokolu genelde disksiz i istasyonlarnn a
zerinden almalarnda kullanlr. Gvenlik denetimleri ok az
olduundan zorunlu kalmadka altrlmamaldr.

%package -n tftpd
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de):	Dmon fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Dmon pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Serwer tftp (trivial file transfer protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Group:		Networking/Daemons
PreReq:		rc-inetd >= 0.8.1
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires:	inetdaemon
Provides:	tftpdaemon
Obsoletes:	tftp-server
Obsoletes:	utftpd

%description -n tftpd
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -n tftpd -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien by
instalowany tylko wtedy, kiedy zachodzi taka konieczno poniewa
naley on do aplikacji o niskim poziomie bezpieczestwa.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"; export CFLAGS

./configure \
	--with-c-compiler=gcc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd
if [ -n "`id -u tftp 2>/dev/null`" ]; then
	if [ "`id -u tftp`" != "15" ]; then
		echo "Error: user tftp doesn't have uid=15. Correct this before installing tftpd." 1>&2
		exit 1
	fi
else
	echo "Adding user tftp UID=15."
	/usr/sbin/useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp 1>&2
fi

%post -n tftpd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server." 1>&2
fi

%postun -n tftpd
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi
if [ "$1" = "0" ]; then
        echo "Removing user tftp."
	/usr/sbin/userdel tftp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tftp.spec,v $
Revision 1.54  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.53  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.52  2002/11/21 10:39:07  blues
- release 20 - tftpd dir is now owned by ftp group

Revision 1.51  2002/11/13 16:02:44  qboosh
- tftp client does NOT provide tftpdaemon; release 19

Revision 1.50  2002/11/13 12:38:00  kloczek
- release 18,
- tftp-hpa added to Obsoletes in client subpackage,
- tftpdaemon added to Provides in server subpackage.

Revision 1.49  2002/08/17 21:04:13  qboosh
- better message in pre, more Requires(), release 17

Revision 1.48  2002/08/02 23:36:07  mick3y
- fixed polish description

Revision 1.47  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/12/18 14:40:32  blues
- removed obsoletes utftpd-client (not needed)

Revision 1.43  2001/07/30 17:07:47  blues
- release 16
- added tftp user
- /var/lib/tftp owner is tftp now - nobody shouldn't own anything...

Revision 1.42  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.41  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.39  2001/07/25 06:02:23  kloczek
- bump release to 15.

Revision 1.38  2001/07/24 09:17:29  blues
- Release 7
- added obsoletes for utftpd

Revision 1.37  2001/07/23 23:26:27  blues
- cosmetics

Revision 1.36  2001/06/16 11:29:52  waszi
- typo

Revision 1.35  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.34  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.33  2000/10/24 17:52:50  mis
- added tftpdaemon cap

Revision 1.32  2000/10/12 19:49:19  kloczek
- release 6: use new rpm automation.

Revision 1.31  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.30  2000/08/24 21:30:11  pascalek
- update to 0.17

Revision 1.29  2000/07/11 14:25:45  baggins
- release 9
- that was NOT a missing newline, but a wrong statement in %%files

Revision 1.28  2000/07/10 18:17:09  siefca
- fixed missing newline character in spec file

Revision 1.27  2000/06/21 19:32:41  kloczek
- release 8,
- spec adapterized.

Revision 1.26  2000/06/09 17:52:45  baggins
- config noreplace for rc-inetd stuff

Revision 1.25  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.22  2000/04/01 15:15:07  mis
- typo

Revision 1.21  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.19  2000/03/03 03:58:59  kloczek
- release 6,
- fix: added missing %defattr() in tftpd,
- spec adapterized.

Revision 1.18  2000/02/14 04:25:04  kloczek
- added de, fr, tr translation from BeroLinux spec.

Revision 1.17  2000/02/14 04:20:48  kloczek
- release 4.

Revision 1.16  2000/01/10 03:08:09  kloczek
- release 3,
- Group in client package changed to Applicatins/Networking
- added "Obsoletes: tftp-server" for tftpd subpackage (for allowing install
  on RH).

Revision 1.15  2000/01/02 15:29:11  kloczek
- release 2 (in rawhide current is 1),
- new Summary and %descripton,
- added Group(pl) and changed Group to Networking/Daemons.

Revision 1.14  2000/01/02 08:29:21  bszx
 - upgrade to 0.16
 - added using rc-inetd reload
 - configure doesn't overwrite CFLAGS (tftp-0.15-configure.patch)

Revision 1.13  1999/11/19 21:25:21  waszi
- separated to 2 packages

Revision 1.12  1999/10/11 07:05:12  waszi
- small fixes

Revision 1.11  1999/10/06 11:02:49  waszi
- added rc-inetd support

Revision 1.10  1999/07/14 10:34:53  baggins
- fixed usage of macros
- gzipping docs

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Nov 12 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.10-5]
- fixed passing $RPM_OPT_FLAGS (tftp-0.10-misc.patch).

* Sun Nov 08 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added pl translation,
- removed all others translation -> SIGSEGV (why ? we jet don't known),
- major changes -> required for Linux PLD.

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
